Bug 44809 - Support RegExp in V8 implementation of SerializedScriptValue
Summary: Support RegExp in V8 implementation of SerializedScriptValue
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Mihai Parparita
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-27 18:44 PDT by Mihai Parparita
Modified: 2010-10-29 05:50 PDT (History)
6 users (show)

See Also:


Attachments
Patch (4.98 KB, patch)
2010-10-28 18:31 PDT, Mihai Parparita
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Parparita 2010-08-27 18:44:43 PDT
See bug 44718 for details (and for initial attempt in patch 65738). Depends on http://code.google.com/p/v8/issues/detail?id=852.
Comment 1 Mihai Parparita 2010-10-28 18:31:46 PDT
Created attachment 72281 [details]
Patch
Comment 2 Mihai Parparita 2010-10-28 18:38:55 PDT
Trying my luck with webkit-patch suggest-reviewers.
Comment 3 Adam Barth 2010-10-28 23:43:52 PDT
Comment on attachment 72281 [details]
Patch

suggest-reviewers don't understand the politics of JSC/V8 reviewing.  :)

I'm not an expert on this code, but this looks reasonable to me.
Comment 4 WebKit Commit Bot 2010-10-29 01:08:24 PDT
Comment on attachment 72281 [details]
Patch

Clearing flags on attachment: 72281

Committed r70851: <http://trac.webkit.org/changeset/70851>
Comment 5 WebKit Commit Bot 2010-10-29 01:08:30 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Vitaly Repeshko 2010-10-29 05:50:46 PDT
(In reply to comment #1)
> Created an attachment (id=72281) [details]
> Patch

LGTM!